@echo off
rem Makefile

if "%1"=="" goto all
if "%1"=="clean" goto clean
goto usage

:all
echo Building the Remote Object Webcam Controller application ...

rem Build Java from IDL for ORBacus
call jidl rowc.idl
javac -d . WebCamEvent.java
javac -d . WebCamListener.java
javac -d . CamControllerEvent.java
javac -d . CamControllerListener.java
javac -d . MediaArchiveEvent.java
javac -d . MediaArchiveListener.java

javac CamProcessor.java
javac CamController.java
javac Server.java
goto end

:clean
rd /s /q rowc
del *.class
goto end

:usage
echo Usage: makeproj [clean]

:end
